# Poco::Net

# class SSLContextException

Library: NetSSL_OpenSSL
Package: SSLCore
Header: Poco/Net/SSLException.h

## Inheritance

Direct Base Classes: SSLException

All Base Classes: Poco::Exception, Poco::IOException, NetException, SSLException, Poco::RuntimeException, std::exception

## Member Summary

Member Functions: className, clone, name, operator =, rethrow

Inherited Functions: className, clone, code, displayText, extendedMessage, message, name, nested, operator =, rethrow, what

## Constructors

### SSLContextException

SSLContextException(
int code = 0
);

### SSLContextException

SSLContextException(
const SSLContextException & exc
);

### SSLContextException

SSLContextException(
const std::string & msg,
int code = 0
);

### SSLContextException

SSLContextException(
const std::string & msg,
const std::string & arg,
int code = 0
);

### SSLContextException

SSLContextException(
const std::string & msg,
const Poco::Exception & exc,
int code = 0
);

## Destructor

### ~SSLContextException

~SSLContextException();

## Member Functions

### className

const char * className() const;

See also: Poco::Net::SSLException::className()

### clone

Poco::Exception * clone() const;

### name

const char * name() const;

See also: Poco::Net::SSLException::name()

### operator =

SSLContextException & operator = (
const SSLContextException & exc
);

### rethrow

void rethrow() const;

See also: Poco::Net::SSLException::rethrow()